Bug 461388 - (perl-Mouse) Review Request: perl-Mouse - Moose minus the antlers
Review Request: perl-Mouse - Moose minus the antlers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Mouse
:
Depends On: 461386
Blocks: 461383
  Show dependency treegraph
 
Reported: 2008-09-07 00:34 EDT by Chris Weyl
Modified: 2010-08-30 13:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 22:57:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-09-07 00:34:16 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Mouse-0.06-1.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Mouse.spec

Description:
Moose is wonderful.

Unfortunately, it's a little slow. Though significant progress has been
made over the years, the compile time penalty is a non-starter for some
applications.  Mouse aims to alleviate this by providing a subset of Moose's
functionality, faster.
Comment 1 Jason Tibbitts 2008-09-07 12:59:40 EDT
Can't build this yet, but I note that the %description above is almost completely content-free if you don't know what Moose is.
Comment 2 Chris Weyl 2008-09-08 21:09:38 EDT
(In reply to comment #1)
> Can't build this yet, but I note that the %description above is almost
> completely content-free if you don't know what Moose is.

Just wait until they see Squirrel ;)  

How's this:

-----
Moose, a powerful metaobject-fuelled extension of the Perl 5 object system,
is wonderful.  (For more information on Moose, please see 'perldoc Moose'
after installing the perl-Moose package.)

Unfortunately, it's a little slow. Though significant progress has been
made over the years, the compile time penalty is a non-starter for some
applications.  Mouse aims to alleviate this by providing a subset of Moose's
functionality, faster.
-----

It builds on the first paragraph just a touch, and points people to the Moose manpage at least...
Comment 5 Jason Tibbitts 2008-10-03 12:32:15 EDT
I still don't understand how the Summary: helps to clarify much of anything, but upstream seems to prefer humor over useful documentation so what can we do?  Maybe consider "Lighter version of the Moose object system", but I don't think it should hold up approval of this package.

Otherwise everything looks fine to me.

* source files match upstream:
   e075052ab45008e512d78dd340ed62b55923a0faf124887088869b1ae5aa7eaa  
   Mouse-0.09.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Mouse) = 0.09
   perl(Mouse::Meta::Attribute)
   perl(Mouse::Meta::Class)
   perl(Mouse::Meta::Role)
   perl(Mouse::Object)
   perl(Mouse::Role)
   perl(Mouse::Tiny)
   perl(Mouse::TypeRegistry)
   perl(Mouse::Util)
   perl(Squirrel)
   perl(Squirrel::Role)
   perl-Mouse = 0.09-1.fc10
  =
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.10.0)
   perl(Carp)
   perl(Class::Method::Modifiers) >= 1.01
   perl(MRO::Compat) >= 0.09
   perl(Mouse::Meta::Attribute)
   perl(Mouse::Meta::Class)
   perl(Mouse::Meta::Role)
   perl(Mouse::Object)
   perl(Mouse::TypeRegistry)
   perl(Mouse::Util)
   perl(Scalar::Util) >= 1.19
   perl(Test::Exception) >= 0.27
   perl(base)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=46, Tests=2160, 3 wallclock secs
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 6 Chris Weyl 2008-10-04 00:12:42 EDT
New Package CVS Request
=======================
Package Name: perl-Mouse
Short Description: Moose minus the antlers
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig
Comment 7 Huzaifa S. Sidhpurwala 2008-10-06 05:40:41 EDT
cvs done
Comment 8 Chris Weyl 2008-10-06 22:57:38 EDT
Imported and built in devel.  Thanks for the review! :-)
Comment 9 Mark Chappell 2010-08-30 13:17:35 EDT
Package Change Request
======================
Package Name: perl-Mouse
New Branches: EL-6
Owners: tremble iarnell

cweyl has previously suggested that he's happy for others to maintain the EPEL branches
Comment 10 Kevin Fenzi 2010-08-30 13:23:04 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.